curl --request POST \
--url https://api.arize.com/v2/datasets/{dataset_id}/examples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"examples": [
{
"question": "What is 2 + 2?",
"answer": "4",
"topic": "arithmetic"
},
{
"question": "What is the square root of 16?",
"answer": "4",
"topic": "geometry"
},
{
"question": "If 3x = 12, what is x?",
"answer": "4",
"topic": "algebra"
}
]
}
'{
"id": "RGF0YXNldDoxOmFCY0Q=",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"example_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}Appends new examples to an existing dataset.
If the dataset version is not passed, the latest version is selected. The inserted examples will be assigned autogenerated, unique IDs.
Payload Requirements
examples[] may contain any user-defined fields.id, created_at,
updated_at. Requests that contain these fields in any example will
be rejected.{} is invalid).Valid example (create)
{
"examples": [
{ "question": "What is 2+2?",
"answer": "4",
"topic": "math"
}
]
}
Invalid example (‘id’ not allowed on create)
{
"examples": [
{
"id": "ex_1",
"input": "Hello"
}
]
}
curl --request POST \
--url https://api.arize.com/v2/datasets/{dataset_id}/examples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"examples": [
{
"question": "What is 2 + 2?",
"answer": "4",
"topic": "arithmetic"
},
{
"question": "What is the square root of 16?",
"answer": "4",
"topic": "geometry"
},
{
"question": "If 3x = 12, what is x?",
"answer": "4",
"topic": "algebra"
}
]
}
'{
"id": "RGF0YXNldDoxOmFCY0Q=",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"example_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}Documentation Index
Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
The unique dataset identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
The unique identifier of the dataset version A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Body containing dataset examples for insert (append) operation with auto-generated IDs
Array of examples to append to the dataset version
1 - 1000 elementsExamples successfully added to the dataset.
A dataset with the IDs of examples that were inserted or updated. Includes the version the examples were written to and the list of affected example IDs.
Unique identifier for the dataset
Name of the dataset
Unique identifier for the space this dataset belongs to
Timestamp for when the dataset was created
Timestamp for the last update of the dataset
Unique identifier for the dataset version the examples were written to
IDs of the examples that were inserted or updated
Was this page helpful?
Suggestions